## Check uptime

Script: `check_uptime`

**check_uptime** is a plugin to show uptime and idle time of a system.
It reads the counters from `/proc/uptime` and show the output of `upime` command.

## Requirements

Nothing special.

## Standalone installation

From this repository ypu need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

Start the script with `-h` or `--help` to get the help.

```txt
______________________________________________________________________

CHECK_UPTIME
v1.5

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_uptime.html
______________________________________________________________________

Show uptime and idle time.
The script sends performance data withvalues in seconds.

SYNTAX:

  check_uptime [-h]

OPTIONS:

  -h or --help   show this help.

PARAMETERS:

  None.

```

## Examples

No parameter is needed.

`./check_uptime`

returns

```txt
Uptime:  17:03:41 up  8:23,  1 user,  load average: 2.40, 1.92, 1.61 ... up: 30203.20 sec ... idle: 447821.43 sec
 |uptime=30203.20;; idletime=447821.43;;
 ```
