## Hello

Script: `hello`

It prints a hello message to signal that a non reachable host is alive.
Use it for passive checks in private networks that can't be reached from an Icinga sattelite.

## Requirements

Nothing special.

## Standalone installation

From this repository ypu need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

Start the script with `-h` or `--help` to get the help.

```txt
______________________________________________________________________

HELLO
v1.1

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/hello.html
______________________________________________________________________

Print a hello message to signal that a non reachable host is alive.
Use it for passive checks in private networks that can't be reached from an
Icinga sattelite.

SYNTAX:

  hello [-h]

OPTIONS:

  -h or --help   show this help.

PARAMETERS:

  None.

```

## Examples

No parameter is needed.

`./hello`

returns

```txt
OK: Here I am!
Thu Feb 20 09:11:55 CET 2025
 ```
